0

I am using i.atcorr for atmospheric correction in Grass6.4.4. I would like to add Landsat8 sensor to my project(build). If I copy the iwave.cpp file from grass 7, I get error messages. Do I need to compile the entire Grass7 i.atcorr module again for this or is there any alternate?

  • Can you edit your question to show the error messages? Also, I doubt a module for Grass 7 will work in Grass 6 as there are many breaking changes between the two. Can you not use Grass 7? – MappaGnosis Aug 3 '15 at 17:06
0

You will need to compile the source code since this part is written in C programming language. I would be willing to backport the improvements from GRASS GIS 7 to 6 if you open an enhancement ticket at http://trac.osgeo.org/grass/ requesting this backport.

  • thank you . this is the ticket no trac.osgeo.org/grass/ticket/2717#ticket – user28542 Aug 6 '15 at 9:05
  • please checkout trac.osgeo.org/grass/ticket/2717#ticket – user28542 Aug 7 '15 at 10:53
  • I have submitted the modifications to trac, see my answer in the ticket. – markusN Aug 7 '15 at 21:13
  • I checked that one but what ever resultant image i got from 6s out, is not matching with surface reflectance product of the same area of L8 which is downloaded from earthexplorer.i changed iwave.cpp , geometry file, wherever sensor adding items are there. some thing is wrong with reflectance values. – user28542 Sep 1 '15 at 9:31

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.